Show / Hide Table of Contents

# Struct AddonSynthesis

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AddonSynthesis

### Fields

| Improve this Doc View Source

#### AtkUnitBase

##### Declaration

    public AtkUnitBase AtkUnitBase

##### Field Value

Type | Description
--- | ---
AtkUnitBase |

| Improve this Doc View Source

#### CalculationsButton

##### Declaration

    public AtkComponentButton*CalculationsButton

##### Field Value

Type | Description
--- | ---
AtkComponentButton* |

| Improve this Doc View Source

#### CollectabilityHigh

##### Declaration

    public AtkTextNode*CollectabilityHigh

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### CollectabilityLow

##### Declaration

    public AtkTextNode*CollectabilityLow

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### CollectabilityMid

##### Declaration

    public AtkTextNode*CollectabilityMid

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### Condition

##### Declaration

    public AtkTextNode*Condition

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### CraftEffect1

##### Declaration

    public AddonSynthesis.CraftEffect CraftEffect1

##### Field Value

Type | Description
--- | ---
AddonSynthesis.CraftEffect |

| Improve this Doc View Source

#### CraftEffect1HoverText

##### Declaration

    public Utf8String CraftEffect1HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CraftEffect2

##### Declaration

    public AddonSynthesis.CraftEffect CraftEffect2

##### Field Value

Type | Description
--- | ---
AddonSynthesis.CraftEffect |

| Improve this Doc View Source

#### CraftEffect2HoverText

##### Declaration

    public Utf8String CraftEffect2HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CraftEffect3

##### Declaration

    public AddonSynthesis.CraftEffect CraftEffect3

##### Field Value

Type | Description
--- | ---
AddonSynthesis.CraftEffect |

| Improve this Doc View Source

#### CraftEffect3HoverText

##### Declaration

    public Utf8String CraftEffect3HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CraftEffect4

##### Declaration

    public AddonSynthesis.CraftEffect CraftEffect4

##### Field Value

Type | Description
--- | ---
AddonSynthesis.CraftEffect |

| Improve this Doc View Source

#### CraftEffect4HoverText

##### Declaration

    public Utf8String CraftEffect4HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CraftEffect5

##### Declaration

    public AddonSynthesis.CraftEffect CraftEffect5

##### Field Value

Type | Description
--- | ---
AddonSynthesis.CraftEffect |

| Improve this Doc View Source

#### CraftEffect5HoverText

##### Declaration

    public Utf8String CraftEffect5HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CraftEffect6

##### Declaration

    public AddonSynthesis.CraftEffect CraftEffect6

##### Field Value

Type | Description
--- | ---
AddonSynthesis.CraftEffect |

| Improve this Doc View Source

#### CraftEffect6HoverText

##### Declaration

    public Utf8String CraftEffect6HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CraftEffect7

##### Declaration

    public AddonSynthesis.CraftEffect CraftEffect7

##### Field Value

Type | Description
--- | ---
AddonSynthesis.CraftEffect |

| Improve this Doc View Source

#### CraftEffect7HoverText

##### Declaration

    public Utf8String CraftEffect7HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CraftEffect8

##### Declaration

    public AddonSynthesis.CraftEffect CraftEffect8

##### Field Value

Type | Description
--- | ---
AddonSynthesis.CraftEffect |

| Improve this Doc View Source

#### CraftEffect8HoverText

##### Declaration

    public Utf8String CraftEffect8HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CraftEffect9

##### Declaration

    public AddonSynthesis.CraftEffect CraftEffect9

##### Field Value

Type | Description
--- | ---
AddonSynthesis.CraftEffect |

| Improve this Doc View Source

#### CraftEffect9HoverText

##### Declaration

    public Utf8String CraftEffect9HoverText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CraftEffectOverflow

##### Declaration

    public AtkTextNode*CraftEffectOverflow

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### CurrentDurability

##### Declaration

    public AtkTextNode*CurrentDurability

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### CurrentProgress

##### Declaration

    public AtkTextNode*CurrentProgress

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### CurrentQuality

##### Declaration

    public AtkTextNode*CurrentQuality

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### DiamondImageNodeContainer

##### Declaration

    public AtkResNode*DiamondImageNodeContainer

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### HQLiteral

##### Declaration

    public AtkTextNode*HQLiteral

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### HQPercentage

##### Declaration

    public AtkTextNode*HQPercentage

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### ItemIcon

##### Declaration

    public AtkComponentIcon*ItemIcon

##### Field Value

Type | Description
--- | ---
AtkComponentIcon* |

| Improve this Doc View Source

#### ItemName

##### Declaration

    public AtkTextNode*ItemName

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### MaxProgress

##### Declaration

    public AtkTextNode*MaxProgress

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### MaxQuality

##### Declaration

    public AtkTextNode*MaxQuality

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### QuitButton

##### Declaration

    public AtkComponentButton*QuitButton

##### Field Value

Type | Description
--- | ---
AtkComponentButton* |

| Improve this Doc View Source

#### StartingDurability

##### Declaration

    public AtkTextNode*StartingDurability

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### StepNumber

##### Declaration

    public AtkTextNode*StepNumber

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### ToggleCraftEffectPane

##### Declaration

    public AtkComponentCheckBox*ToggleCraftEffectPane

##### Field Value

Type | Description
--- | ---
AtkComponentCheckBox* |